
From: Thomas Gleixner <tglx@linutronix.de>

Use the new lock initializers DEFINE_SPIN_LOCK and DEFINE_RW_LOCK

Signed-off-by: Thomas Gleixner <tglx@linutronix.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/console/mdacon.c |    2 +-
 25-akpm/drivers/video/console/vgacon.c |    2 +-
 25-akpm/drivers/video/hgafb.c          |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/video/console/mdacon.c~lock-initializer-cleanup-video drivers/video/console/mdacon.c
--- 25/drivers/video/console/mdacon.c~lock-initializer-cleanup-video	Wed Jan 12 16:54:13 2005
+++ 25-akpm/drivers/video/console/mdacon.c	Wed Jan 12 16:54:13 2005
@@ -47,7 +47,7 @@
 #include <asm/io.h>
 #include <asm/vga.h>
 
-static spinlock_t mda_lock = SPIN_LOCK_UNLOCKED;
+static DEFINE_SPINLOCK(mda_lock);
 
 /* description of the hardware layout */
 
diff -puN drivers/video/console/vgacon.c~lock-initializer-cleanup-video drivers/video/console/vgacon.c
--- 25/drivers/video/console/vgacon.c~lock-initializer-cleanup-video	Wed Jan 12 16:54:13 2005
+++ 25-akpm/drivers/video/console/vgacon.c	Wed Jan 12 16:54:13 2005
@@ -53,7 +53,7 @@
 #include <video/vga.h>
 #include <asm/io.h>
 
-static spinlock_t vga_lock = SPIN_LOCK_UNLOCKED;
+static DEFINE_SPINLOCK(vga_lock);
 static struct vgastate state;
 
 #define BLANK 0x0020
diff -puN drivers/video/hgafb.c~lock-initializer-cleanup-video drivers/video/hgafb.c
--- 25/drivers/video/hgafb.c~lock-initializer-cleanup-video	Wed Jan 12 16:54:13 2005
+++ 25-akpm/drivers/video/hgafb.c	Wed Jan 12 16:54:13 2005
@@ -103,7 +103,7 @@ static char *hga_type_name;
 
 /* Global locks */
 
-static spinlock_t hga_reg_lock = SPIN_LOCK_UNLOCKED;
+static DEFINE_SPINLOCK(hga_reg_lock);
 
 /* Framebuffer driver structures */
 
_
